document.addEventListener('DOMContentLoaded', () => {
    const logo = document.getElementById('logo');
    const isDark = document.documentElement.classList.contains('dark');
    logo.src = isDark
        ? '/helper/dashboard/assets/images/logo-white.png'
        : '/helper/dashboard/assets/images/logo-colors.png';

});


function SignInPassword() {
    var username = document.getElementById('username').value;
    var password = document.getElementById('password').value;
    $.ajax({
        type: "POST",
        url: "/auth/sign-in/login",
        data: {
            username: username,
            password: password
        },
        headers: {
            "RequestVerificationToken": $('input[name="__RequestVerificationToken"]').val()
        },
        success: function (res) {
            console.log(res);
            if (res && res.message === 'success') {
                iziToast.success({ title: 'ورود با موفقیت انجام شد', message: 'شما به صفحه مدیریت هدایت میشوید', rtl: true, position: 'topCenter' });
                setTimeout(function () {
                    window.location.href = "/app/default";
                }, 3000);
            } else {
                iziToast.error({ title: 'خطا در ثبت اطلاعات', message: res.message, rtl: true, position: 'topCenter' });
            }
        },
        error: function (xhr, status, error) {
            iziToast.error({ title: 'خطا در ثبت اطلاعات', message: error, rtl: true, position: 'topCenter' });
        }
    })
}


async function CreateToken() {

    const btn = document.getElementById('btnCreateToken');

    btn.disabled = true;
    btn.innerText = "منتظر بمانید...";

    var internet = document.getElementById('internet').value;
    var phone = document.getElementById('phone').value;
    var companyname = document.getElementById('companyname').value;
    var fullname = document.getElementById('fullname').value;

    try {

        const response = await fetch('/auth/token/crate/save', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded',
                'RequestVerificationToken': $('input[name="__RequestVerificationToken"]').val()
            },
            body: new URLSearchParams({
                internet: internet,
                phone: phone,
                companyname: companyname,
                fullname: fullname
            })
        });

        // نوع پاسخ
        const contentType = response.headers.get("content-type");

        // اگر JSON بود یعنی خطا
        if (contentType && contentType.includes("application/json")) {

            const errorResult = await response.json();

            throw new Error(
                errorResult.errorMessage ||
                errorResult.message ||
                "خطا در دریافت فایل"
            );
        }

        // اگر فایل نبود
        if (!contentType || !contentType.includes("application/octet-stream")) {
            throw new Error("فایل معتبر دریافت نشد");
        }

        // دانلود فایل
        const blob = await response.blob();

        if (blob.size === 0) {
            throw new Error("فایل خالی است");
        }

        const url = window.URL.createObjectURL(blob);

        const a = document.createElement('a');

        a.href = url;
        a.download = "Token.License";

        document.body.appendChild(a);

        a.click();

        a.remove();

        window.URL.revokeObjectURL(url);

        iziToast.success({
            title: 'موفق',
            message: 'فایل با موفقیت دانلود شد',
            rtl: true,
            position: 'topCenter'
        });

    } catch (e) {

        iziToast.error({
            title: 'خطا',
            message: e.message,
            rtl: true,
            position: 'topCenter'
        });

    } finally {

        btn.disabled = false;
        btn.innerText = "ثبت و دریافت لایسنس";
    }
}